--- tcp.c	Wed Feb  7 20:20:07 2024
+++ /stuff/tmp/libuv-1.48.0/src/unix/tcp.c	Mon Dec 16 16:10:22 2024
@@ -31,7 +31,7 @@
 #include <sys/socket.h>
 
 /* ifaddrs is not implemented on AIX and IBM i PASE */
-#if !defined(_AIX)
+#if !defined(_AIX) && !defined(SUNOS_NO_IFADDRS)
 #include <ifaddrs.h>
 #endif
 
@@ -220,14 +220,14 @@
 
 
 static int uv__ipv6_link_local_scope_id(void) {
-  struct sockaddr_in6* a6;
+/*  struct sockaddr_in6* a6; */
   int rv;
-#if defined(_AIX)
+#if defined(_AIX) || defined(SUNOS_NO_IFADDRS)
   /* AIX & IBM i do not have ifaddrs
    * so fallback to use uv_interface_addresses */
   uv_interface_address_t* interfaces;
   uv_interface_address_t* ifa;
-  int count, i;
+  int count;
 
   if (uv_interface_addresses(&interfaces, &count))
     return 0;
@@ -519,7 +519,7 @@
    * simulate the tcp-alive mechanism on other platforms via `TCP_KEEPALIVE_THRESHOLD` + `TCP_KEEPALIVE_ABORT_THRESHOLD`.
    */
   idle *= 1000; /* kernel expects milliseconds */
-  if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPALIVE_THRESHOLD, &idle, sizeof(idle)))
+  if (setsockopt(fd, IPPROTO_TCP, TCP_ABORT_THRESHOLD, &idle, sizeof(idle)))
     return UV__ERR(errno);
 
   /* Note that the consequent probes will not be sent at equal intervals on Solaris,
@@ -527,7 +527,7 @@
   intvl = idle/3;
   cnt = 3;
   int time_to_abort = intvl * cnt;
-  if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPALIVE_ABORT_THRESHOLD, &time_to_abort, sizeof(time_to_abort)))
+  if (setsockopt(fd, IPPROTO_TCP, TCP_CONN_ABORT_THRESHOLD, &time_to_abort, sizeof(time_to_abort)))
     return UV__ERR(errno);
 #endif
 
